package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

/**
 * @describe 兑换码兑换表实体类
 * @auther quanshu
 * @create 2023-05-16 17:21:23
 */
@TableName("mp_cd_key_exchange")
@Data
public class CdKeyExchange implements Serializable {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

        /**
     * 兑换码组id
     */
         @TableField("group_id")
    private String groupId;

        /**
     * 兑换码id
     */
         @TableField("key_id")
    private String keyId;

        /**
     * 用户id
     */
         @TableField("user_id")
    private Long userId;

        /**
     * 兑换时间
     */
         @TableField("exchange_time")
    private Date exchangeTime;


}