package com.qs.mp.admin.domain.param;

import lombok.Data;
import org.apache.pulsar.shade.io.swagger.annotations.ApiModelProperty;

/**
 * @author zhangkaikai
 * @create 2023-05-17 9:43 AM
 **/

@Data
public class CdKeyQueryParam {

    @ApiModelProperty("创建开始时间")
    private Data createTimeStart;
    @ApiModelProperty("创建结束时间")
    private Data createTimeEnd;
    @ApiModelProperty("激活开始时间")
    private Data activeTimeStart;
    @ApiModelProperty("激活结束时间")
    private Data activeTimeEnd;
    @ApiModelProperty("最小兑换码数量")
    private Integer minCdKeyNum;
    @ApiModelProperty("最大兑换码数量")
    private Integer maxCdKeyNum;
    @ApiModelProperty("门店id")
    private Long channelId;
    @ApiModelProperty("门店名称")
    private String siteName;
    @ApiModelProperty("状态")
    private Integer status;
}
